Bug 1287566 - Python-3.1.1-rpath.patch
Python-3.1.1-rpath.patch
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python3 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Python Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1287556
  Show dependency treegraph
 
Reported: 2015-12-02 06:04 EST by Robert Kuska
Modified: 2017-08-07 12:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-07 12:35:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Kuska 2015-12-02 06:04:41 EST
From python3.spec:

# Fixup distutils/unixccompiler.py to remove standard library path from rpath:
# Was Patch0 in ivazquez' python3000 specfile:

This patch removes LIBDIR from rpath if rpath contains it.


Interesting reading about rpath from debian:
https://wiki.debian.org/RpathIssue

Fedora packaging guidelines:
https://fedoraproject.org/wiki/Packaging:Guidelines#Beware_of_Rpath
Comment 1 Robert Kuska 2015-12-02 06:11:35 EST
This check should be covered by rpmlint which MUST be run during the review so I propose to drop this patch.
Comment 2 Toshio Ernie Kuratomi 2015-12-04 11:24:31 EST
I would recommend against dropping the patch.  Since it's only removing LIBDIR, it's removing an rpath that should never be needed (the dynamic linker will try LIBDIR on its own, no need for an rpath to make it do so).  The patch means that distutils does not add the unneeded rpath to any binaries it generates which is what that Debian page recommends (patch the build system).  If we were to drop the patch, then package maintainers of C extensions would need to add boilerplate to their packages which strips the unnecessary rpath.  Better to do that in a single place (the python package) if we can.

If you do decide to drop rpath, you should also coordinate updating all existing C extension packages to include the boilerplate removing rpath.  Python packaging guidelines could also be updated to mention it (but not strictly necessary -- the rpath guidelines cover this... it would just be keeping the information in one place).
Comment 3 Jan Kurik 2016-02-24 09:04:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Fedora End Of Life 2017-07-25 15:35:49 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Tomas Orsava 2017-08-07 12:35:30 EDT
I agree with Toshio's arguments and since Robert no longer wishes to pursue the issue, I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.